#include<bits/stdc++.h>
using namespace std;


vector<int> getVisionPattern1d(){
    return {1, 2, 3};
}

int getMove1d(std::vector<int> v){
    int n = (int) v.size();
    int i = (n>>1);
    if(v[i] == 3 && v[i+1]==1)return i+1;
    if(v[i]==3)return i-1;
    if(v[i]+1 == v[i+1])return i+1;
    else                return i-1;
}

vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
